Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::RefMatrixd Class Reference

Inheritance diagram for osg::RefMatrixd:

[legend]
List of all members.

## Public Member Functions
| RefMatrixd ()
| RefMatrixd (const Matrixd &other)
| RefMatrixd (const Matrixf &other)
| RefMatrixd (const RefMatrixd &other)
| RefMatrixd (Matrixd::value_type const *const def)
| RefMatrixd (Matrixd::value_type a00, Matrixd::value_type a01, Matrixd::value_type a02, Matrixd::value_type a03, Matrixd::value_type a10, Matrixd::value_type a11, Matrixd::value_type a12, Matrixd::value_type a13, Matrixd::value_type a20, Matrixd::value_type a21, Matrixd::value_type a22, Matrixd::value_type a23, Matrixd::value_type a30, Matrixd::value_type a31, Matrixd::value_type a32, Matrixd::value_type a33)
virtual Object * | cloneType () const
| Clone the type of an object, with Object* return type.
virtual Object * | clone (const CopyOp &) const
| Clone an object, with Object* return type.
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
| return the name of the object's library.
virtual const char * | className () const
| return the name of the object's class type.
## Protected Member Functions
virtual | ~RefMatrixd ()

## Constructor & Destructor Documentation

osg::RefMatrixd::RefMatrixd | ( |  | ) | `[inline]`

osg::RefMatrixd::RefMatrixd | ( | const Matrixd & | other | ) | `[inline]`

osg::RefMatrixd::RefMatrixd | ( | const Matrixf & | other | ) | `[inline]`

osg::RefMatrixd::RefMatrixd | ( | const RefMatrixd & | other | ) | `[inline]`

osg::RefMatrixd::RefMatrixd | ( | Matrixd::value_type const *const | def | ) | `[inline, explicit]`

osg::RefMatrixd::RefMatrixd | ( | Matrixd::value_type | a00,
|  | Matrixd::value_type | a01,
|  | Matrixd::value_type | a02,
|  | Matrixd::value_type | a03,
|  | Matrixd::value_type | a10,
|  | Matrixd::value_type | a11,
|  | Matrixd::value_type | a12,
|  | Matrixd::value_type | a13,
|  | Matrixd::value_type | a20,
|  | Matrixd::value_type | a21,
|  | Matrixd::value_type | a22,
|  | Matrixd::value_type | a23,
|  | Matrixd::value_type | a30,
|  | Matrixd::value_type | a31,
|  | Matrixd::value_type | a32,
|  | Matrixd::value_type | a33
| ) | `[inline]`

virtual osg::RefMatrixd::~RefMatrixd | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual const char* osg::RefMatrixd::className | ( |  | ) | const`[inline, virtual]`

| return the name of the object's class type. Must be defined by derived classes. Implements osg::Object.

virtual Object* osg::RefMatrixd::clone | ( | const CopyOp & |  | ) | const`[inline, virtual]`

| Clone an object, with Object* return type. Must be defined by derived classes. Implements osg::Object.

virtual Object* osg::RefMatrixd::cloneType | ( |  | ) | const`[inline, virtual]`

| Clone the type of an object, with Object* return type. Must be defined by derived classes. Implements osg::Object.

virtual bool osg::RefMatrixd::isSameKindAs | ( | const Object * | obj | ) | const`[inline, virtual]`

| Reimplemented from osg::Object.

virtual const char* osg::RefMatrixd::libraryName | ( |  | ) | const`[inline, virtual]`

| return the name of the object's library. Must be defined by derived classes. The OpenSceneGraph convention is that the namespace of a library is the same as the library name. Implements osg::Object.

The documentation for this class was generated from the following file:

- Matrixd